%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  fluxfinder
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Parsing, Computation, and Diagnostics for Greenhouse Gas Measurements

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-MASS >= 7.0
BuildRequires:    R-CRAN-jsonlite >= 1.8
BuildRequires:    R-CRAN-broom >= 1.0
BuildRequires:    R-CRAN-lubridate >= 1.0
Requires:         R-CRAN-MASS >= 7.0
Requires:         R-CRAN-jsonlite >= 1.8
Requires:         R-CRAN-broom >= 1.0
Requires:         R-CRAN-lubridate >= 1.0

%description
Parse static-chamber greenhouse gas measurement files generated by a
variety of instruments; compute flux rates using multi-observation
metadata; and generate diagnostic metrics and plots. Designed to be easy
to integrate into reproducible scientific workflows.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
